diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/jquery/jquery.form.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/jquery/jquery.form.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/jquery/jquery.form.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/jquery/jquery.form.js	2013-09-16 16:06:09.000000000 -0500
***************
*** 472,480 ****
   * The advantages of using this method instead of ajaxSubmit() are:
   *
   * 1: This method will include coordinates for <input type="image" /> elements (if the element
!  *	is used to submit the form).
   * 2. This method will include the submit element's name/value data (for the element that was
!  *	used to submit the form).
   * 3. This method binds the submit() method to the form for you.
   *
   * The options argument for ajaxForm works exactly as it does for ajaxSubmit.  ajaxForm merely
--- 777,785 ----
   * The advantages of using this method instead of ajaxSubmit() are:
   *
   * 1: This method will include coordinates for <input type="image" /> elements (if the element
!  *    is used to submit the form).
   * 2. This method will include the submit element's name/value data (for the element that was
!  *    used to submit the form).
   * 3. This method binds the submit() method to the form for you.
   *
   * The options argument for ajaxForm works exactly as it does for ajaxSubmit.  ajaxForm merely
***************
*** 482,541 ****
   * the form itself.
   */
  $.fn.ajaxForm = function(options) {
! 	// in jQuery 1.3+ we can fix mistakes with the ready state
! 	if (this.length === 0) {
! 		var o = { s: this.selector, c: this.context };
! 		if (!$.isReady && o.s) {
! 			log('DOM not ready, queuing ajaxForm');
! 			$(function() {
! 				$(o.s,o.c).ajaxForm(options);
! 			});
! 			return this;
! 		}
! 		// is your DOM ready?  http://docs.jquery.com/Tutorials:Introducing_$(document).ready()
! 		log('terminating; zero elements found by selector' + ($.isReady ? '' : ' (DOM not ready)'));
! 		return this;
! 	}
! 
! 	return this.ajaxFormUnbind().bind('submit.form-plugin', function(e) {
! 		if (!e.isDefaultPrevented()) { // if event has been canceled, don't proceed
! 			e.preventDefault();
! 			$(this).ajaxSubmit(options);
! 		}
! 	}).bind('click.form-plugin', function(e) {
! 		var target = e.target;
! 		var $el = $(target);
! 		if (!($el.is(":submit,input:image"))) {
! 			// is this a child element of the submit el?  (ex: a span within a button)
! 			var t = $el.closest(':submit');
! 			if (t.length == 0) {
! 				return;
! 			}
! 			target = t[0];
! 		}
! 		var form = this;
! 		form.clk = target;
! 		if (target.type == 'image') {
! 			if (e.offsetX != undefined) {
! 				form.clk_x = e.offsetX;
! 				form.clk_y = e.offsetY;
! 			} else if (typeof $.fn.offset == 'function') { // try to use dimensions plugin
! 				var offset = $el.offset();
! 				form.clk_x = e.pageX - offset.left;
! 				form.clk_y = e.pageY - offset.top;
! 			} else {
! 				form.clk_x = e.pageX - target.offsetLeft;
! 				form.clk_y = e.pageY - target.offsetTop;
! 			}
! 		}
! 		// clear form vars
! 		setTimeout(function() { form.clk = form.clk_x = form.clk_y = null; }, 100);
! 	});
  };
  
  // ajaxFormUnbind unbinds the event handlers that were bound by ajaxForm
  $.fn.ajaxFormUnbind = function() {
! 	return this.unbind('submit.form-plugin click.form-plugin');
  };
  
  /**
--- 787,869 ----
   * the form itself.
   */
  $.fn.ajaxForm = function(options) {
!     options = options || {};
!     options.delegation = options.delegation && $.isFunction($.fn.on);
! 
!     // in jQuery 1.3+ we can fix mistakes with the ready state
!     if (!options.delegation && this.length === 0) {
!         var o = { s: this.selector, c: this.context };
!         if (!$.isReady && o.s) {
!             log('DOM not ready, queuing ajaxForm');
!             $(function() {
!                 $(o.s,o.c).ajaxForm(options);
!             });
!             return this;
!         }
!         // is your DOM ready?  http://docs.jquery.com/Tutorials:Introducing_$(document).ready()
!         log('terminating; zero elements found by selector' + ($.isReady ? '' : ' (DOM not ready)'));
!         return this;
!     }
! 
!     if ( options.delegation ) {
!         $(document)
!             .off('submit.form-plugin', this.selector, doAjaxSubmit)
!             .off('click.form-plugin', this.selector, captureSubmittingElement)
!             .on('submit.form-plugin', this.selector, options, doAjaxSubmit)
!             .on('click.form-plugin', this.selector, options, captureSubmittingElement);
!         return this;
!     }
! 
!     return this.ajaxFormUnbind()
!         .bind('submit.form-plugin', options, doAjaxSubmit)
!         .bind('click.form-plugin', options, captureSubmittingElement);
  };
  
+ // private event handlers
+ function doAjaxSubmit(e) {
+     /*jshint validthis:true */
+     var options = e.data;
+     if (!e.isDefaultPrevented()) { // if event has been canceled, don't proceed
+         e.preventDefault();
+         $(this).ajaxSubmit(options);
+     }
+ }
+ 
+ function captureSubmittingElement(e) {
+     /*jshint validthis:true */
+     var target = e.target;
+     var $el = $(target);
+     if (!($el.is("[type=submit],[type=image]"))) {
+         // is this a child element of the submit el?  (ex: a span within a button)
+         var t = $el.closest('[type=submit]');
+         if (t.length === 0) {
+             return;
+         }
+         target = t[0];
+     }
+     var form = this;
+     form.clk = target;
+     if (target.type == 'image') {
+         if (e.offsetX !== undefined) {
+             form.clk_x = e.offsetX;
+             form.clk_y = e.offsetY;
+         } else if (typeof $.fn.offset == 'function') {
+             var offset = $el.offset();
+             form.clk_x = e.pageX - offset.left;
+             form.clk_y = e.pageY - offset.top;
+         } else {
+             form.clk_x = e.pageX - target.offsetLeft;
+             form.clk_y = e.pageY - target.offsetTop;
+         }
+     }
+     // clear form vars
+     setTimeout(function() { form.clk = form.clk_x = form.clk_y = null; }, 100);
+ }
+ 
+ 
  // ajaxFormUnbind unbinds the event handlers that were bound by ajaxForm
  $.fn.ajaxFormUnbind = function() {
!     return this.unbind('submit.form-plugin click.form-plugin');
  };
  
  /**
***************
*** 549,604 ****
   * It is this array that is passed to pre-submit callback functions provided to the
   * ajaxSubmit() and ajaxForm() methods.
   */
! $.fn.formToArray = function(semantic) {
! 	var a = [];
! 	if (this.length === 0) {
! 		return a;
! 	}
! 
! 	var form = this[0];
! 	var els = semantic ? form.getElementsByTagName('*') : form.elements;
! 	if (!els) {
! 		return a;
! 	}
! 
! 	var i,j,n,v,el,max,jmax;
! 	for(i=0, max=els.length; i < max; i++) {
! 		el = els[i];
! 		n = el.name;
! 		if (!n) {
! 			continue;
! 		}
! 
! 		if (semantic && form.clk && el.type == "image") {
! 			// handle image inputs on the fly when semantic == true
! 			if(!el.disabled && form.clk == el) {
! 				a.push({name: n, value: $(el).val()});
! 				a.push({name: n+'.x', value: form.clk_x}, {name: n+'.y', value: form.clk_y});
! 			}
! 			continue;
! 		}
! 
! 		v = $.fieldValue(el, true);
! 		if (v && v.constructor == Array) {
! 			for(j=0, jmax=v.length; j < jmax; j++) {
! 				a.push({name: n, value: v[j]});
! 			}
! 		}
! 		else if (v !== null && typeof v != 'undefined') {
! 			a.push({name: n, value: v});
! 		}
! 	}
! 
! 	if (!semantic && form.clk) {
! 		// input type=='image' are not found in elements array! handle it here
! 		var $input = $(form.clk), input = $input[0];
! 		n = input.name;
! 		if (n && !input.disabled && input.type == 'image') {
! 			a.push({name: n, value: $input.val()});
! 			a.push({name: n+'.x', value: form.clk_x}, {name: n+'.y', value: form.clk_y});
! 		}
! 	}
! 	return a;
  };
  
  /**
--- 877,950 ----
   * It is this array that is passed to pre-submit callback functions provided to the
   * ajaxSubmit() and ajaxForm() methods.
   */
! $.fn.formToArray = function(semantic, elements) {
!     var a = [];
!     if (this.length === 0) {
!         return a;
!     }
! 
!     var form = this[0];
!     var els = semantic ? form.getElementsByTagName('*') : form.elements;
!     if (!els) {
!         return a;
!     }
! 
!     var i,j,n,v,el,max,jmax;
!     for(i=0, max=els.length; i < max; i++) {
!         el = els[i];
!         n = el.name;
!         if (!n || el.disabled) {
!             continue;
!         }
! 
!         if (semantic && form.clk && el.type == "image") {
!             // handle image inputs on the fly when semantic == true
!             if(form.clk == el) {
!                 a.push({name: n, value: $(el).val(), type: el.type });
!                 a.push({name: n+'.x', value: form.clk_x}, {name: n+'.y', value: form.clk_y});
!             }
!             continue;
!         }
! 
!         v = $.fieldValue(el, true);
!         if (v && v.constructor == Array) {
!             if (elements)
!                 elements.push(el);
!             for(j=0, jmax=v.length; j < jmax; j++) {
!                 a.push({name: n, value: v[j]});
!             }
!         }
!         else if (feature.fileapi && el.type == 'file') {
!             if (elements)
!                 elements.push(el);
!             var files = el.files;
!             if (files.length) {
!                 for (j=0; j < files.length; j++) {
!                     a.push({name: n, value: files[j], type: el.type});
!                 }
!             }
!             else {
!                 // #180
!                 a.push({ name: n, value: '', type: el.type });
!             }
!         }
!         else if (v !== null && typeof v != 'undefined') {
!             if (elements)
!                 elements.push(el);
!             a.push({name: n, value: v, type: el.type, required: el.required});
!         }
!     }
! 
!     if (!semantic && form.clk) {
!         // input type=='image' are not found in elements array! handle it here
!         var $input = $(form.clk), input = $input[0];
!         n = input.name;
!         if (n && !input.disabled && input.type == 'image') {
!             a.push({name: n, value: $input.val()});
!             a.push({name: n+'.x', value: form.clk_x}, {name: n+'.y', value: form.clk_y});
!         }
!     }
!     return a;
  };
  
  /**
***************
*** 606,613 ****
   * in the format: name1=value1&amp;name2=value2
   */
  $.fn.formSerialize = function(semantic) {
! 	//hand off to jQuery.param for proper encoding
! 	return $.param(this.formToArray(semantic));
  };
  
  /**
--- 952,959 ----
   * in the format: name1=value1&amp;name2=value2
   */
  $.fn.formSerialize = function(semantic) {
!     //hand off to jQuery.param for proper encoding
!     return $.param(this.formToArray(semantic));
  };
  
  /**
***************
*** 615,665 ****
   * This method will return a string in the format: name1=value1&amp;name2=value2
   */
  $.fn.fieldSerialize = function(successful) {
! 	var a = [];
! 	this.each(function() {
! 		var n = this.name;
! 		if (!n) {
! 			return;
! 		}
! 		var v = $.fieldValue(this, successful);
! 		if (v && v.constructor == Array) {
! 			for (var i=0,max=v.length; i < max; i++) {
! 				a.push({name: n, value: v[i]});
! 			}
! 		}
! 		else if (v !== null && typeof v != 'undefined') {
! 			a.push({name: this.name, value: v});
! 		}
! 	});
! 	//hand off to jQuery.param for proper encoding
! 	return $.param(a);
  };
  
  /**
   * Returns the value(s) of the element in the matched set.  For example, consider the following form:
   *
   *  <form><fieldset>
!  *	  <input name="A" type="text" />
!  *	  <input name="A" type="text" />
!  *	  <input name="B" type="checkbox" value="B1" />
!  *	  <input name="B" type="checkbox" value="B2"/>
!  *	  <input name="C" type="radio" value="C1" />
!  *	  <input name="C" type="radio" value="C2" />
   *  </fieldset></form>
   *
!  *  var v = $(':text').fieldValue();
   *  // if no values are entered into the text inputs
   *  v == ['','']
   *  // if values entered into the text inputs are 'foo' and 'bar'
   *  v == ['foo','bar']
   *
!  *  var v = $(':checkbox').fieldValue();
   *  // if neither checkbox is checked
   *  v === undefined
   *  // if both checkboxes are checked
   *  v == ['B1', 'B2']
   *
!  *  var v = $(':radio').fieldValue();
   *  // if neither radio is checked
   *  v === undefined
   *  // if first radio is checked
--- 961,1011 ----
   * This method will return a string in the format: name1=value1&amp;name2=value2
   */
  $.fn.fieldSerialize = function(successful) {
!     var a = [];
!     this.each(function() {
!         var n = this.name;
!         if (!n) {
!             return;
!         }
!         var v = $.fieldValue(this, successful);
!         if (v && v.constructor == Array) {
!             for (var i=0,max=v.length; i < max; i++) {
!                 a.push({name: n, value: v[i]});
!             }
!         }
!         else if (v !== null && typeof v != 'undefined') {
!             a.push({name: this.name, value: v});
!         }
!     });
!     //hand off to jQuery.param for proper encoding
!     return $.param(a);
  };
  
  /**
   * Returns the value(s) of the element in the matched set.  For example, consider the following form:
   *
   *  <form><fieldset>
!  *      <input name="A" type="text" />
!  *      <input name="A" type="text" />
!  *      <input name="B" type="checkbox" value="B1" />
!  *      <input name="B" type="checkbox" value="B2"/>
!  *      <input name="C" type="radio" value="C1" />
!  *      <input name="C" type="radio" value="C2" />
   *  </fieldset></form>
   *
!  *  var v = $('input[type=text]').fieldValue();
   *  // if no values are entered into the text inputs
   *  v == ['','']
   *  // if values entered into the text inputs are 'foo' and 'bar'
   *  v == ['foo','bar']
   *
!  *  var v = $('input[type=checkbox]').fieldValue();
   *  // if neither checkbox is checked
   *  v === undefined
   *  // if both checkboxes are checked
   *  v == ['B1', 'B2']
   *
!  *  var v = $('input[type=radio]').fieldValue();
   *  // if neither radio is checked
   *  v === undefined
   *  // if first radio is checked
***************
*** 671,730 ****
   * for each element is returned.
   *
   * Note: This method *always* returns an array.  If no valid value can be determined the
!  *	   array will be empty, otherwise it will contain one or more values.
   */
  $.fn.fieldValue = function(successful) {
! 	for (var val=[], i=0, max=this.length; i < max; i++) {
! 		var el = this[i];
! 		var v = $.fieldValue(el, successful);
! 		if (v === null || typeof v == 'undefined' || (v.constructor == Array && !v.length)) {
! 			continue;
! 		}
! 		v.constructor == Array ? $.merge(val, v) : val.push(v);
! 	}
! 	return val;
  };
  
  /**
   * Returns the value of the field element.
   */
  $.fieldValue = function(el, successful) {
! 	var n = el.name, t = el.type, tag = el.tagName.toLowerCase();
! 	if (successful === undefined) {
! 		successful = true;
! 	}
! 
! 	if (successful && (!n || el.disabled || t == 'reset' || t == 'button' ||
! 		(t == 'checkbox' || t == 'radio') && !el.checked ||
! 		(t == 'submit' || t == 'image') && el.form && el.form.clk != el ||
! 		tag == 'select' && el.selectedIndex == -1)) {
! 			return null;
! 	}
! 
! 	if (tag == 'select') {
! 		var index = el.selectedIndex;
! 		if (index < 0) {
! 			return null;
! 		}
! 		var a = [], ops = el.options;
! 		var one = (t == 'select-one');
! 		var max = (one ? index+1 : ops.length);
! 		for(var i=(one ? index : 0); i < max; i++) {
! 			var op = ops[i];
! 			if (op.selected) {
! 				var v = op.value;
! 				if (!v) { // extra pain for IE...
! 					v = (op.attributes && op.attributes['value'] && !(op.attributes['value'].specified)) ? op.text : op.value;
! 				}
! 				if (one) {
! 					return v;
! 				}
! 				a.push(v);
! 			}
! 		}
! 		return a;
! 	}
! 	return $(el).val();
  };
  
  /**
--- 1017,1079 ----
   * for each element is returned.
   *
   * Note: This method *always* returns an array.  If no valid value can be determined the
!  *    array will be empty, otherwise it will contain one or more values.
   */
  $.fn.fieldValue = function(successful) {
!     for (var val=[], i=0, max=this.length; i < max; i++) {
!         var el = this[i];
!         var v = $.fieldValue(el, successful);
!         if (v === null || typeof v == 'undefined' || (v.constructor == Array && !v.length)) {
!             continue;
!         }
!         if (v.constructor == Array)
!             $.merge(val, v);
!         else
!             val.push(v);
!     }
!     return val;
  };
  
  /**
   * Returns the value of the field element.
   */
  $.fieldValue = function(el, successful) {
!     var n = el.name, t = el.type, tag = el.tagName.toLowerCase();
!     if (successful === undefined) {
!         successful = true;
!     }
! 
!     if (successful && (!n || el.disabled || t == 'reset' || t == 'button' ||
!         (t == 'checkbox' || t == 'radio') && !el.checked ||
!         (t == 'submit' || t == 'image') && el.form && el.form.clk != el ||
!         tag == 'select' && el.selectedIndex == -1)) {
!             return null;
!     }
! 
!     if (tag == 'select') {
!         var index = el.selectedIndex;
!         if (index < 0) {
!             return null;
!         }
!         var a = [], ops = el.options;
!         var one = (t == 'select-one');
!         var max = (one ? index+1 : ops.length);
!         for(var i=(one ? index : 0); i < max; i++) {
!             var op = ops[i];
!             if (op.selected) {
!                 var v = op.value;
!                 if (!v) { // extra pain for IE...
!                     v = (op.attributes && op.attributes['value'] && !(op.attributes['value'].specified)) ? op.text : op.value;
!                 }
!                 if (one) {
!                     return v;
!                 }
!                 a.push(v);
!             }
!         }
!         return a;
!     }
!     return $(el).val();
  };
  
  /**
***************
*** 735,787 ****
   *  - inputs of type submit, button, reset, and hidden will *not* be effected
   *  - button elements will *not* be effected
   */
! $.fn.clearForm = function() {
! 	return this.each(function() {
! 		$('input,select,textarea', this).clearFields();
! 	});
  };
  
  /**
   * Clears the selected form elements.
   */
! $.fn.clearFields = $.fn.clearInputs = function() {
! 	return this.each(function() {
! 		var t = this.type, tag = this.tagName.toLowerCase();
! 		if (t == 'text' || t == 'password' || tag == 'textarea') {
! 			this.value = '';
! 		}
! 		else if (t == 'checkbox' || t == 'radio') {
! 			this.checked = false;
! 		}
! 		else if (tag == 'select') {
! 			this.selectedIndex = -1;
  		}
! 	});
  };
  
  /**
   * Resets the form data.  Causes all form elements to be reset to their original value.
   */
  $.fn.resetForm = function() {
! 	return this.each(function() {
! 		// guard against an input with the name of 'reset'
! 		// note that IE reports the reset function as an 'object'
! 		if (typeof this.reset == 'function' || (typeof this.reset == 'object' && !this.reset.nodeType)) {
! 			this.reset();
! 		}
! 	});
  };
  
  /**
   * Enables or disables any matching elements.
   */
  $.fn.enable = function(b) {
! 	if (b === undefined) {
! 		b = true;
! 	}
! 	return this.each(function() {
! 		this.disabled = !b;
! 	});
  };
  
  /**
--- 1084,1153 ----
   *  - inputs of type submit, button, reset, and hidden will *not* be effected
   *  - button elements will *not* be effected
   */
! $.fn.clearForm = function(includeHidden) {
!     return this.each(function() {
!         $('input,select,textarea', this).clearFields(includeHidden);
!     });
  };
  
  /**
   * Clears the selected form elements.
   */
! $.fn.clearFields = $.fn.clearInputs = function(includeHidden) {
!     var re = /^(?:color|date|datetime|email|month|number|password|range|search|tel|text|time|url|week)$/i; // 'hidden' is not in this list
!     return this.each(function() {
!         var t = this.type, tag = this.tagName.toLowerCase();
!         if (re.test(t) || tag == 'textarea') {
!             this.value = '';
!         }
!         else if (t == 'checkbox' || t == 'radio') {
!             this.checked = false;
!         }
!         else if (tag == 'select') {
!             this.selectedIndex = -1;
!         }
! 		else if (t == "file") {
! 			if (/MSIE/.test(navigator.userAgent)) {
! 				$(this).replaceWith($(this).clone(true));
! 			} else {
! 				$(this).val('');
! 			}
  		}
!         else if (includeHidden) {
!             // includeHidden can be the value true, or it can be a selector string
!             // indicating a special test; for example:
!             //  $('#myForm').clearForm('.special:hidden')
!             // the above would clean hidden inputs that have the class of 'special'
!             if ( (includeHidden === true && /hidden/.test(t)) ||
!                  (typeof includeHidden == 'string' && $(this).is(includeHidden)) )
!                 this.value = '';
!         }
!     });
  };
  
  /**
   * Resets the form data.  Causes all form elements to be reset to their original value.
   */
  $.fn.resetForm = function() {
!     return this.each(function() {
!         // guard against an input with the name of 'reset'
!         // note that IE reports the reset function as an 'object'
!         if (typeof this.reset == 'function' || (typeof this.reset == 'object' && !this.reset.nodeType)) {
!             this.reset();
!         }
!     });
  };
  
  /**
   * Enables or disables any matching elements.
   */
  $.fn.enable = function(b) {
!     if (b === undefined) {
!         b = true;
!     }
!     return this.each(function() {
!         this.disabled = !b;
!     });
  };
  
  /**
***************
*** 789,825 ****
   * selects/deselects and matching option elements.
   */
  $.fn.selected = function(select) {
! 	if (select === undefined) {
! 		select = true;
! 	}
! 	return this.each(function() {
! 		var t = this.type;
! 		if (t == 'checkbox' || t == 'radio') {
! 			this.checked = select;
! 		}
! 		else if (this.tagName.toLowerCase() == 'option') {
! 			var $sel = $(this).parent('select');
! 			if (select && $sel[0] && $sel[0].type == 'select-one') {
! 				// deselect all other options
! 				$sel.find('option').selected(false);
! 			}
! 			this.selected = select;
! 		}
! 	});
  };
  
  // helper fn for console logging
- // set $.fn.ajaxSubmit.debug to true to enable debug logging
  function log() {
! 	if ($.fn.ajaxSubmit.debug) {
! 		var msg = '[jquery.form] ' + Array.prototype.join.call(arguments,'');
! 		if (window.console && window.console.log) {
! 			window.console.log(msg);
! 		}
! 		else if (window.opera && window.opera.postError) {
! 			window.opera.postError(msg);
! 		}
! 	}
! };
  
  })(jQuery);
--- 1155,1193 ----
   * selects/deselects and matching option elements.
   */
  $.fn.selected = function(select) {
!     if (select === undefined) {
!         select = true;
!     }
!     return this.each(function() {
!         var t = this.type;
!         if (t == 'checkbox' || t == 'radio') {
!             this.checked = select;
!         }
!         else if (this.tagName.toLowerCase() == 'option') {
!             var $sel = $(this).parent('select');
!             if (select && $sel[0] && $sel[0].type == 'select-one') {
!                 // deselect all other options
!                 $sel.find('option').selected(false);
!             }
!             this.selected = select;
!         }
!     });
  };
  
+ // expose debug var
+ $.fn.ajaxSubmit.debug = false;
+ 
  // helper fn for console logging
  function log() {
!     if (!$.fn.ajaxSubmit.debug)
!         return;
!     var msg = '[jquery.form] ' + Array.prototype.join.call(arguments,'');
!     if (window.console && window.console.log) {
!         window.console.log(msg);
!     }
!     else if (window.opera && window.opera.postError) {
!         window.opera.postError(msg);
!     }
! }
  
  })(jQuery);
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/media-editor.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/media-editor.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/media-editor.js	2013-07-23 00:39:08.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/media-editor.js	2013-10-07 14:02:10.000000000 -0500
***************
*** 236,241 ****
--- 236,244 ----
  				args.perPage = -1;
  
  				// Mark the `orderby` override attribute.
+ 				if( undefined !== attrs.orderby )
+ 					attrs._orderByField = attrs.orderby;
+ 
  				if ( 'rand' === attrs.orderby )
  					attrs._orderbyRandom = true;
  
***************
*** 283,291 ****
--- 286,300 ----
  					attrs.id = props.uploadedTo;
  
  				// Check if the gallery is randomly ordered.
+ 				delete attrs.orderby;
+ 
  				if ( attrs._orderbyRandom )
  					attrs.orderby = 'rand';
+ 				else if ( attrs._orderByField && attrs._orderByField != 'rand' )
+ 					attrs.orderby = attrs._orderByField;
+ 
  				delete attrs._orderbyRandom;
+ 				delete attrs._orderByField;
  
  				// If the `ids` attribute is set and `orderby` attribute
  				// is the default value, clear it for cleaner output.
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/media-models.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/media-models.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/media-models.js	2013-07-27 02:09:05.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/media-models.js	2013-08-21 21:11:08.000000000 -0500
***************
*** 681,687 ****
  		},
  
  		sync: function( method, model, options ) {
! 			var fallback;
  
  			// Overload the read method so Attachment.fetch() functions correctly.
  			if ( 'read' === method ) {
--- 681,687 ----
  		},
  
  		sync: function( method, model, options ) {
! 			var args, fallback;
  
  			// Overload the read method so Attachment.fetch() functions correctly.
  			if ( 'read' === method ) {
